# Mounting and unmounting volumes from within EVMS

Some volume operations, such as expanding and shrinking, may require that the volume be mounted or unmounted before you can perform the operation. EVMS lets you mount and unmount volumes from within EVMS without having to go to a separate terminal session.

EVMS performs the mount and unmount operations immediately. It does not wait until the changes are saved.

## Mounting a volume

This section tells how to mount a volume through the various EVMS user interfaces.

### Using the EVMS GUI

Follow these steps to mount a volume with the EVMS GUI:

1. Select Actions File System Mount.

2. Select the volume you want to mount.

3. In the Mount Point box, enter the directory on which you want to mount the volume.

4. Click Options if you want to enter additional options for the mount.

5. Click Mount.

Alternatively, you can mount a volume from the EVMS GUI context sensitive menu:

1. Right click the volume you want to mount.

2. Click Mount...

3. In the Mount Point box, enter the directory on which you want to mount the volume.

4. Click Options if you want to enter additional options for the mount.

5. Click Mount.

### Using Ncurses

Follow these steps to mount a volume with Ncurses:

1. Select Actions File SystemMount....

2. Select the volume you want to mount.

3. At the Mount Point prompt, enter the directory on which you want to mount the volume and press Enter.

4. Select Mount Options if you want to enter additional options for the mount.

5. Select Mount.

Alternatively, you can mount a volume with the Ncurses context-sensitive menu:

1. Highlight the volume you want to mount and press Enter.

2. Select Mount File System.

3. At the Mount Point prompt, enter the directory on which you want to mount the volume and press Enter.

4. Select Mount Options if you want to enter additional options for the mount.

5. Select Mount.

### Using the CLI

To mount a volume with the CLI, use the following command:

    mount:<volume>, <mount point>, [ <mount options> ]

<volume> is the name of the volume to be mounted.

<mount point> is the name of the directory on which to mount the volume.

<mount options> is a string of options to be passed to the <command>mount</command> command.

## Unmounting a volume

This section tells how to unmount a volume through the various EVMS user interfaces.

### Using the EVMS GUI

Follow these steps to unmount a volume with the EVMS GUI:

1. Select Actions File System Unmount.

2. Select the volume you want to unmount.

3. Click Unmount.

Alternatively, you can unmount a volume from the EVMS GUI context sensitive menu:

1. Right click the volume you want to unmount.

2. Click Unmount...

3. Click Unmount.

### Using Ncurses

Follow these steps to unmount a volume with Ncurses:

1. Select Actions File SystemUnmount....

2. Select the volume you want to unmount.

3. Select Unmount.

Alternatively, you can unmount a volume with the Ncurses context-sensitive menu:

1. Highlight the volume you want to unmount and press Enter.

2. Select Unmount File System.....

3. Select Unmount.

### Using the CLI

To unmount a volume with the CLI, use the following command:

    unmount:<volume>

<volume> is the name of the volume to be unmounted.

## The SWAPFS file system

A volume with the SWAPFS file system is not mounted or unmounted. Rather, swapping is turned on for the volume using the `sbin/swapon` command and turned off using the <command>sbin/swapoff</command>. EVMS lets you turn swapping on or off for a volume from within EVMS without having to go to a separate terminal session.

As with mounting and unmounting, EVMS performs the swapon and swapoff operations immediately. It does not wait until the changes are saved.

### Turning swap on

This section tells how to turn swap on using the various EVMS user interfaces.

#### Using the EVMS GUI

Follow these steps to turn swap on with the EVMS GUI:

1. Select Actions Other Volume tasks....

2. Select the volume you want to turn on swapping and click Next.

3. Select "Swap on" and click Next.

4. Select the priority for the swap. If you select "High" you will get an additional prompt for the priority level. The priority level must be a number in the range of 0 to 32767. The default is 0.

5. Click Swap on.

Alternatively, you can turn swap on from the EVMS GUI context-sensitive menu:

1. Right click the volume with the SWAPFS you want to turn on.

2. Click Swap on...

3. Select the priority for the swap. If you select "High" you will get an additional prompt for the priority level. The priority level must be a number in the range of 0 to 32767. The default is 0.

4. Click Swap on.

#### Using Ncurses

Follow these steps to turn swap on with Ncurses:

1. Select Actions OtherVolume tasks....

2. Select the volume on which you want to turn on swapping and select Next.

3. Select "Swap on" and select Next.

4. Select the priority for the swap. If you select "High" you will get an additional prompt for the priority level. The priority level must be a number in the range of 0 to 32767. The default is 0.

5. Select "Swap on."

Alternatively, you can turn swap on with the Ncurses context-sensitive menu:

1. Highlight the volume with the SWAPFS you want to turn on.

2. Select "Swap on...."

3. Select the priority for the swap. If you select "High" you will get an additional prompt for the priority level. The priority level must be a number in the range of 0 to 32767. The default is 0.

4. Select "Swap on."

#### Using the CLI

To turn swap on with the CLI, use the following command:

    Task: swapon, <volume>[, priority=low | , priority=high [level=0..32767]]

<volume> is the name of the volume with SWAPFS you want to turn on.

### Turning swap off

This section tells how to turn swap off using the various EVMS user interfaces.

#### Using the EVMS GUI

Follow these steps to turn swap off with the EVMS GUI:

1. Select Actions Other Volume tasks....

2. Select the volume you want to turn off swapping and click Next.

3. Select "Swap off" and click Next.

4. Click Swap off.

Alternatively, you can turn swap off from the EVMS GUI context-sensitive menu:

1. Right click the volume with the SWAPFS you want to turn off.

2. Click Swap off...

3. Click Swap off.

#### Using Ncurses

Follow these steps to turn swap off with Ncurses:

1. Select Actions OtherVolume tasks....

2. Select the volume on which you want to turn off swapping and select Next.

3. Select "Swap off" and select Next.

4. Select "Swap off."

Alternatively, you can turn swap on with the Ncurses context-sensitive menu:

1. Highlight the volume with the SWAPFS you want to turn off.

2. Select "Swap off...."

3. Select "Swap off."

#### Using the CLI

To turn swap on with the CLI, use the following command:

    Task: swapoff, <volume>

<volume> is the name of the volume with SWAPFS you want to turn off.